Subject: Re: [PATCH RESEND v3 net-next 0/7] Remove the "dsa_to_port in a loop" antipattern

From: [email-masked]
Date: Thu, 21 Oct 2021 11:50:18 +0000

Hello:

This series was applied to netdev/net-next.git (master)
by David S. Miller <[email-masked]>:

On Wed, 20 Oct 2021 20:49:48 +0300 you wrote:
> I noticed that v3 was dropped with "Changes requested" without actually
> requesting any change:
> https://patchwork.kernel.org/project/netdevbpf/list/?series=565665&state=*
> I suppose it has to do with the simultaneous build errors in mlx5, so
> I'm just resending now that those are fixed.
> 
> v1->v2: more patches
> v2->v3: less patches
> 
> [...]

Here is the summary with links:
  - [RESEND,v3,net-next,1/7] net: dsa: introduce helpers for iterating through ports using dp
    https://git.kernel.org/netdev/net-next/c/82b318983c51
  - [RESEND,v3,net-next,2/7] net: dsa: remove the "dsa_to_port in a loop" antipattern from the core
    https://git.kernel.org/netdev/net-next/c/d0004a020bb5
  - [RESEND,v3,net-next,3/7] net: dsa: do not open-code dsa_switch_for_each_port
    https://git.kernel.org/netdev/net-next/c/65c563a67755
  - [RESEND,v3,net-next,4/7] net: dsa: remove gratuitous use of dsa_is_{user,dsa,cpu}_port
    https://git.kernel.org/netdev/net-next/c/57d77986e742
  - [RESEND,v3,net-next,5/7] net: dsa: convert cross-chip notifiers to iterate using dp
    https://git.kernel.org/netdev/net-next/c/fac6abd5f132
  - [RESEND,v3,net-next,6/7] net: dsa: tag_sja1105: do not open-code dsa_switch_for_each_port
    https://git.kernel.org/netdev/net-next/c/5068887a4fbe
  - [RESEND,v3,net-next,7/7] net: dsa: tag_8021q: make dsa_8021q_{rx,tx}_vid take dp as argument
    https://git.kernel.org/netdev/net-next/c/992e5cc7be8e

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html